API · v1 · stabil
CODEMETA OSDeveloper Center
Konsole öffnen

PATCH /v1/api-keys/{id}

PATCH/v1/api-keys/{id}

Update an API key. Token plaintext cannot be changed; rotate to replace.

Request Body

NameTypBeschreibung
labelstring
descriptionstring
permissionsstring[]
allowedSchemasarraynull
allowedMethodsarraynull
ipAllowlistarraynull
expiresAtstring,null<date-time>

Pfad-Parameter

NameTypBeschreibung
iderforderlichstring

Beispiel

curl -X PATCH https://api.codemeta-os.de/v1/api-keys/{id} \
  -H "X-Tenant-Id: $TENANT" \
  -H "Content-Type: application/json" \
  -b cookies.txt \
  -d '{
  "label": "string",
  "description": "string",
  "permissions": [],
  "allowedSchemas": null,
  "allowedMethods": null,
  "ipAllowlist": null,
  "expiresAt": null
}'
const result = await cm.api-keys.patch({
  "label": "string",
  "description": "string",
  "permissions": [],
  "allowedSchemas": null,
  "allowedMethods": null,
  "ipAllowlist": null,
  "expiresAt": null
});

Antwortcodes

HTTP Bedeutung
200 Default Response

Suche